<!DOCTYPE html>
<html>
<head lang="es">
    <meta charset="UTF-8">
    <title>Formulario</title>
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css">
    <script type="text/javascript" src="http://code.jquery.com/jquery-2.1.3.min.js"></script>
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
    <script type="text/javascript" language="javascript"
            src="http://cdn.datatables.net/1.10.5/js/jquery.dataTables.min.js"></script>
    <link rel="stylesheet" type="text/css"
          href="http://cdn.datatables.net/plug-ins/f2c75b7247b/integration/bootstrap/3/dataTables.bootstrap.css">
    <script type="text/javascript" language="javascript"
            src="http://cdn.datatables.net/plug-ins/f2c75b7247b/integration/bootstrap/3/dataTables.bootstrap.js"></script>
    <style>
        #tablaD tr { cursor: pointer; }
    </style>
</head>
<body>
<div class="container">
    <h1>Facultad</h1>

    <form method="POST" action="verD.php" class="form-horizontal" role="form">
        <fielset>

            <div class="form-group">
                <legend class="col-md-7">DEPARTAMENTO</legend>
            </div>

            <div class="form-group">
                <label class="col-md-2">id del Departamento:</label>
                <div class="col-md-5">
                    <input type="number" name="idD" class="form-control"
                           placeholder="Por favor introduzca el id" min="15" max="99" id="idD"/>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-2">Nombre:</label>
                <div class="col-md-5">
                    <input type="text" name="nD" class="form-control"
                           placeholder="Por favor introduzca el nombre (siglas)" id="nD"/>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-2">Nombre completo:</label>
                <div class="col-md-5">
                    <input type="text" name="nCD" class="form-control" id="nCD"/>
                </div>
            </div>


            <div class="form-group" style="text-align: right">
                <div class="col-md-5 col-md-offset-2">
                    <input type="button" value="Ver departamentos" class="btn btn-default hidden" id="botonVer"/>
                    <input type="button" value="Insertar" class="btn btn-primary" id="botonInserta"/>
                    <input type="button" value="Modificar" class="btn btn-default" id="botonModifica"/>
                    <input type="button" value="Eliminar" class="btn btn-primary" id="botonElimina"/>
                </div>
                <script>
                    $(function(){

                        function siError(e){
                            alert('Ocurrió un error al realizar la petición: '+e.statusCode());
                        }

                        function peticion(acc,f){
                            var parametros = {
                                accion: acc,
                                idD: $('#idD').val(),
                                nD: $('#nD').val(),
                                nCD: $('#nCD').val()
                            };
                            var post = $.post("procesa.php",parametros,f,'html');
                            post.error(siError);
                        }

                        function siRespuestaL(r) {
                            $('#listaD').html(r);
                            $('#tablaD').dataTable();

                            var table = $('#tablaD').DataTable();

                            $('#tablaD tbody').on( 'click', 'tr', function () {
                                if ( $(this).hasClass('selected') ) {
                                    $(this).removeClass('selected');
                                }
                                else {
                                    table.$('tr.selected').removeClass('selected');
                                    $(this).addClass('selected');
                                    num=0;
                                    $(this).find('td').each (function() {
                                        switch (num){
                                            case 0: $('#idD').val($(this).contents().text()); break;
                                            case 1: $('#nD').val($(this).contents().text()); break;
                                            case 2: $('#nCD').val($(this).contents().text());
                                        }
                                        num++;
                                    });
                                }
                            } );
                        }

                        function ve(e){
                            peticion('ve',siRespuestaL);
                        }
                        $('#botonVer').click(ve);

                        function siRespuesta(r){
                            $('#respuesta').html(r);
                            $('#botonVer').click();
                        }

                        function modifica(e){
                            peticion('modifica',siRespuesta);
                        }
                        $('#botonModifica').click(modifica);
                        function elimina(e){
                            peticion('elimina',siRespuesta);
                        }
                        $('#botonElimina').click(elimina);
                        function inserta(e){
                            peticion('inserta',siRespuesta);
                        }
                        $('#botonInserta').click(inserta);

                        $('#botonVer').click();
                    });
                </script>
            </div>

                <!--<div class="form-group">
                    <div class="col-md-4 col-md-offset-4">
                        <input type="submit" value="Enviar" class="btn btn-primary"/>
                    </div>



                </div>-->
        </fielset>
    </form>
    <div class="row">&nbsp;</div>
    <div id="respuesta">

    </div>

    <div id="listaD">

    </div>

</div>
</body>
</html>